<%page expression_filter="h"/>
<%inherit file="skeleton.mako" />

<%def name="title()">
Intro
</%def>

<h1>XVM &mdash; Virtual Servers for MIT </h1>

<p><strong>xvm.mit.edu</strong> is a virtualization service for the
MIT community.  We offer <strong>virtual machines</strong>&mdash;your
own complete system on which you can start from our <strong>three-minute
Debian or Ubuntu install</strong> or install the <strong>operating
system of your choice</strong>.  The service is <strong>free</strong>
to any Athena account holder.</p>
%if serviceMessage:
<div class="result">
<p class="error">${serviceMessage}</p>
</div>
%endif

<p>MIT users:</p>
<blockquote><big><a
href="https://${config.web.hostname}/"><strong><font color="green">&rarr;</font> Log in to XVM using MIT certificates</strong>
</a></big></blockquote>
<blockquote><big><a
href="https://${config.web.hostname}:442/"><strong><font color="green">&rarr;</font> Log in to XVM using Kerberos Tickets</strong>
</a></big></blockquote>

<p>To use MIT certificates you'll need an <a href="http://ca.mit.edu/">MIT personal
certificate</a>.</p>

<h2>XVM features:</h2>
<ul>
<li>Online management of virtual machines</li>
<li>A wide selection of bootable CD-ROM images and installers</li>
<li>An automated Debian and Ubuntu installer</li>
<li>Secure VNC console access via a Java applet</li>
<li>Secure serial console access over SSH</li>
<li>Ownership and access control through Athena lockers and groups</li>
</ul>

<h2>XVM does not feature:</h2>
<ul>
<li>backups of VM disk images; images are on a RAID, but you should
    arrange your own backups for data that is important to you.</li>
<li>guarantees of uptime or security; we are a best-effort volunteer
    service, though we follow security and reliability best practices
    shared by production SIPB services.</li>
</ul>

<p>The XVM code base is a <strong>free software</strong> project under
development, licensed under GPLv2+. If you're interested in using it,
we'd be happy to help you set it up in your environment. Our Subversion
repository is</p> <blockquote><a
href="https://xvm.mit.edu:1111/">https://xvm.mit.edu:1111/</a></blockquote>

<p>xvm.mit.edu is provided by <a href="http://sipb.mit.edu/">SIPB</a>,
the student computing group at MIT, with generous funding from <a
href="http://web.mit.edu/ist/">IS&amp;T</a>.  Like all SIPB projects, we
are independently run by our own team of volunteers, and we welcome new
contributors.</p>

<p>Questions and feedback welcome at <a
href="mailto:xvm@mit.edu">xvm@mit.edu</a>.</p>
